Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMap.Segment

    java.lang.Object
      AbstractConcurrentMapBase.Segment
          org.codehaus.groovy.util.AbstractConcurrentMap.Segment

    public static abstract class AbstractConcurrentMap.Segment
    extends Segment

Constructor Summary
`protected AbstractConcurrentMap.Segment(int initialCapacity)`

Method Summary
`protected Entry` | `createEntry(java.lang.Object key, int hash, java.lang.Object value)`
`java.lang.Object` | `get(java.lang.Object key, int hash)`
`Entry` | `getOrPut(java.lang.Object key, int hash, java.lang.Object value)`
`Entry` | `put(java.lang.Object key, int hash, java.lang.Object value)`
`void` | `remove(java.lang.Object key, int hash)`

Constructor Detail

### AbstractConcurrentMap.Segment

    protected AbstractConcurrentMap.Segment(int initialCapacity)

Method Detail

### createEntry

    protected Entry createEntry(java.lang.Object key, int hash, java.lang.Object value)

### get

    public final java.lang.Object get(java.lang.Object key, int hash)

### getOrPut

    public final Entry getOrPut(java.lang.Object key, int hash, java.lang.Object value)

### put

    public final Entry put(java.lang.Object key, int hash, java.lang.Object value)

### remove

    public void remove(java.lang.Object key, int hash)

Groovy Documentation